Subject: bug#18765: closed (Re: Re: Re: Re: bug#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Oct 2014 17:46:02 +0000

Your bug report

#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18765: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18765
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Re: Re: Re: bug#18765: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows
From: Eli Zaretskii <[email-masked]>
To: Yanning Du <[email-masked]>, [email-masked]
Date: Tue, 21 Oct 2014 20:45:23 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Yanning Du" <[email-masked]>
> Date: Wed, 22 Oct 2014 00:07:33 +0800
> 
> I deleted all values under 'HKEY_CURRENT_USER\Software\GNU\Emacs ' excepting HOME.
> Everything seems OK now.
> Thank you, Eli.
> 
> I suspect that these values were added by a pretest version, may be emacs-24.3.94.

OK, I'm closing the bug.

Subject: Emacs 24.4 release candidate 1: "term/w32-win.el" is missing on Windows
From: "Yanning Du" <[email-masked]>
To: [email-masked]
Date: Sat, 18 Oct 2014 22:55:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Platform: Windows 7
Emacs version: Emacs 24.4 release candidate 1

I used the following commands to build and install Emacs 24.4 release candidate 1:
/f/build-emacs/emacs-24.3.94$ CFLAGS='-I/f/build-emacs/libxpm-3.5.8-w32-src/include -I/f/build-emacs/libxpm-3.5.8-w32-src/src' ./configure --prefix=/f/myemacs-24.3.94
/f/build-emacs/emacs-24.3.94$ make
/f/build-emacs/emacs-24.3.94$ make install

When it is finished, I run emacs -Q
However, a message box is poped up saying:
====================Emacs Abort Dialog ======================
The Emacs Windows initialization file "term/w32-win.el" could not be found in your Emacs installation.  Emacs checked the following directories for this file:

("f:/myemacs-24.3.94/site-lisp" "F:/myemacs-24.3.94/../site-lisp" "F:/myemacs-24.3.94/lisp" "F:/myemacs-24.3.94/leim")

When Emacs cannot find this file, it usually means that it was not installed properly, or its distribution file was not unpacked properly.
See the README.W32 file in the top-level Emacs directory for more information.
=======================================================

Actually, w32-win.el EXISTS in my system, but it under F:\myemacs-24.3.94\share\emacs\24.3.94\lisp\term\